diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/csma/bindings/modulegen__gcc_LP64.py ns-3.31/src/csma/bindings/modulegen__gcc_LP64.py
--- ns-3.30.1/src/csma/bindings/modulegen__gcc_LP64.py	2019-08-12 17:00:27.000000000 -0700
+++ ns-3.31/src/csma/bindings/modulegen__gcc_LP64.py	2020-06-27 17:38:30.000000000 -0700
@@ -5146,7 +5199,7 @@
     cls.add_method('Notify', 
                    'void', 
                    [], 
-                   is_virtual=True, is_pure_virtual=True, visibility='protected')
+                   is_virtual=True, visibility='protected', is_pure_virtual=True)
     return
 
 def register_Ns3ExponentialRandomVariable_methods(root_module, cls):
@@ -6096,11 +6149,6 @@
                    is_static=True)
     ## random-variable-stream.h (module 'core'): ns3::ParetoRandomVariable::ParetoRandomVariable() [constructor]
     cls.add_constructor([])
-    ## random-variable-stream.h (module 'core'): double ns3::ParetoRandomVariable::GetMean() const [member function]
-    cls.add_method('GetMean', 
-                   'double', 
-                   [], 
-                   is_const=True, deprecated=True)
     ## random-variable-stream.h (module 'core'): double ns3::ParetoRandomVariable::GetScale() const [member function]
     cls.add_method('GetScale', 
                    'double', 
@@ -6698,7 +6746,7 @@
     cls.add_method('operator()', 
                    'ns3::ObjectBase *', 
                    [], 
-                   custom_name='__call__', is_virtual=True, is_pure_virtual=True)
+                   is_virtual=True, is_pure_virtual=True, custom_name='__call__')
     return
 
 def register_Ns3CallbackImpl__Void_Ns3Ptr__lt__const_ns3Packet__gt___Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, cls):
@@ -6720,7 +6768,7 @@
     cls.add_method('operator()', 
                    'void', 
                    [param('ns3::Ptr< ns3::Packet const >', 'arg0')], 
-                   custom_name='__call__', is_virtual=True, is_pure_virtual=True)
+                   is_virtual=True, is_pure_virtual=True, custom_name='__call__')
     return
 
 def register_Ns3CallbackImpl__Void_Ns3Ptr__lt__const_ns3QueueDiscItem__gt___Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, cls):
@@ -6742,7 +6790,7 @@
     cls.add_method('operator()', 
                    'void', 
                    [param('ns3::Ptr< ns3::QueueDiscItem const >', 'arg0')], 
-                   custom_name='__call__', is_virtual=True, is_pure_virtual=True)
+                   is_virtual=True, is_pure_virtual=True, custom_name='__call__')
     return
 
 def register_Ns3CallbackImpl__Void_Ns3Ptr__lt__ns3NetDevice__gt___Ns3Ptr__lt__const_ns3Packet__gt___Unsigned_short_Const_ns3Address___amp___Const_ns3Address___amp___Ns3NetDevicePacketType_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, cls):
@@ -6764,7 +6812,7 @@
     cls.add_method('operator()', 
                    'void', 
                    [param('ns3::Ptr< ns3::NetDevice >', 'arg0'), param('ns3::Ptr< ns3::Packet const >', 'arg1'), param('short unsigned int', 'arg2'), param('ns3::Address const &', 'arg3'), param('ns3::Address const &', 'arg4'), param('ns3::NetDevice::PacketType', 'arg5')], 
-                   custom_name='__call__', is_virtual=True, is_pure_virtual=True)
+                   is_virtual=True, is_pure_virtual=True, custom_name='__call__')
     return
 
 def register_Ns3CallbackImpl__Void_Ns3Ptr__lt__ns3NetDevice__gt___Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, cls):
@@ -6786,7 +6834,7 @@
     cls.add_method('operator()', 
                    'void', 
                    [param('ns3::Ptr< ns3::NetDevice >', 'arg0')], 
-                   custom_name='__call__', is_virtual=True, is_pure_virtual=True)
+                   is_virtual=True, is_pure_virtual=True, custom_name='__call__')
     return
 
 def register_Ns3CallbackImpl__Void_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, cls):
@@ -6808,7 +6856,7 @@
     cls.add_method('operator()', 
                    'void', 
                    [], 
-                   custom_name='__call__', is_virtual=True, is_pure_virtual=True)
+                   is_virtual=True, is_pure_virtual=True, custom_name='__call__')
     return
 
 def register_Ns3CallbackImpl__Void_Unsigned_int_Unsigned_int_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, cls):
@@ -6830,7 +6878,7 @@
     cls.add_method('operator()', 
                    'void', 
                    [param('unsigned int', 'arg0'), param('unsigned int', 'arg1')], 
-                   custom_name='__call__', is_virtual=True, is_pure_virtual=True)
+                   is_virtual=True, is_pure_virtual=True, custom_name='__call__')
     return
 
 def register_Ns3CsmaNetDevice_methods(root_module, cls):
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/csma/examples/csma-broadcast.cc ns-3.31/src/csma/examples/csma-broadcast.cc
--- ns-3.30.1/src/csma/examples/csma-broadcast.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/csma/examples/csma-broadcast.cc	2020-06-27 17:38:30.000000000 -0700
@@ -54,7 +54,7 @@
 
   // Allow the user to override any of the defaults and the above
   // Bind()s at run-time, via command-line arguments
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
 
   NS_LOG_INFO ("Create nodes.");
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/csma/examples/csma-multicast.cc ns-3.31/src/csma/examples/csma-multicast.cc
--- ns-3.30.1/src/csma/examples/csma-multicast.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/csma/examples/csma-multicast.cc	2020-06-27 17:38:30.000000000 -0700
@@ -59,7 +59,7 @@
 
   // Allow the user to override any of the defaults at
   // run-time, via command-line arguments
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
 
   NS_LOG_INFO ("Create nodes.");
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/csma/examples/csma-one-subnet.cc ns-3.31/src/csma/examples/csma-one-subnet.cc
--- ns-3.30.1/src/csma/examples/csma-one-subnet.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/csma/examples/csma-one-subnet.cc	2020-06-27 17:38:30.000000000 -0700
@@ -52,7 +52,7 @@
 // Allow the user to override any of the defaults and the above Bind() at
 // run-time, via command-line arguments
 //
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
 //
 // Explicitly create the nodes required by the topology (shown above).
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/csma/examples/csma-packet-socket.cc ns-3.31/src/csma/examples/csma-packet-socket.cc
--- ns-3.30.1/src/csma/examples/csma-packet-socket.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/csma/examples/csma-packet-socket.cc	2020-06-27 17:38:30.000000000 -0700
@@ -56,7 +56,7 @@
   LogComponentEnable ("CsmaPacketSocketExample", LOG_LEVEL_INFO);
 #endif
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
 
   g_os.open ("csma-packet-socket-sink.tr",std::ios_base::binary | std::ios_base::out);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/csma/examples/csma-ping.cc ns-3.31/src/csma/examples/csma-ping.cc
--- ns-3.30.1/src/csma/examples/csma-ping.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/csma/examples/csma-ping.cc	2020-06-27 17:38:30.000000000 -0700
@@ -53,7 +53,7 @@
 main (int argc, char *argv[])
 {
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
 
   // Here, we will explicitly create four nodes.
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/csma/examples/csma-raw-ip-socket.cc ns-3.31/src/csma/examples/csma-raw-ip-socket.cc
--- ns-3.30.1/src/csma/examples/csma-raw-ip-socket.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/csma/examples/csma-raw-ip-socket.cc	2020-06-27 17:38:30.000000000 -0700
@@ -56,7 +56,7 @@
   LogComponentEnable ("CsmaPacketSocketExample", LOG_LEVEL_INFO);
 #endif
   uint32_t dataRate = 10;
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("dataRate", "application dataRate (Kb/s)", dataRate);
   cmd.Parse (argc, argv);
 
